Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.context
Class ListAttribute

    java.lang.Object
      org.apache.tiles.Attribute
          org.apache.tiles.ListAttribute
              org.apache.tiles.context.ListAttribute

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Deprecated. Use `ListAttribute`.

    public class ListAttribute

extends ListAttribute

An attribute as a `List`. This attribute associates a name with a list. The list can be found by the property name. Elements in list are retrieved using List methods. This class is used to read configuration files.

Version:
  $Rev: 673767 $ $Date: 2008-07-03 21:10:56 +0200 (gio, 03 lug 2008) $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tiles.Attribute
`Attribute.AttributeType`

Field Summary

Fields inherited from class org.apache.tiles.Attribute
`expression, expressionObject, roles, value`

Constructor Summary
`ListAttribute()` Deprecated. Constructor.
`ListAttribute(java.lang.String name, java.util.List<java.lang.Object> value)` Deprecated. Constructor.

Method Summary

Methods inherited from class org.apache.tiles.ListAttribute
`add, add, addObject, clone, equals, hashCode, inherit, isInherit, setInherit`

Methods inherited from class org.apache.tiles.Attribute
`createTemplateAttribute, createTemplateAttribute, createTemplateAttributeWithExpression, getExpression, getExpressionObject, getName, getRenderer, getRole, getRoles, getType, getValue, inherit, setBody, setExpression, setExpressionObject, setName, setRenderer, setRole, setRoles, setType, setValue, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListAttribute

    public ListAttribute()

  Deprecated.
  Constructor.

### ListAttribute

    public ListAttribute(java.lang.String name,
                         java.util.List<java.lang.Object> value)

  Deprecated.
  Constructor.

  Parameters:
    `name` - Name.
    `value` - List.
  Since:
    2.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.